
genestruct <- function(pgfFile="", annotFile="", outputDir="") {

  if(pgfFile=="") 
    stop("Please specify the path to a Probe Group file for your Gene array type:\n
      e.g. pgfFile=\"HuGene-1_0-st-v1.r3.pgf\" for the Human Gene array.\n")

  if(outputDir=="")
    stop("Please specify the output directory.\n")

  ignore_probeset_ids <- c()
  if(annotFile==""){
    cat("Warning: no Transcript Cluster Annotation csv file specified. Assuming that no probesets target alternative haplotypes (i.e. genome other than the reference genome).\n")
  } else {
   # read annotation file
    annot <- read.csv(annotFile,comment.char="#") 
    # remove alternative haplotypes
    ignore_probeset_ids <- annot[which((1:nrow(annot)) %in% grep("hap",annot[,3])),1]
  }

  dyn.load("genestructParser.so")
  if(!is.loaded("genestructParser")) stop("Couldn't load genestructParser.so.\n")

  annotFile = path.expand(annotFile)
  pgfFile = path.expand(pgfFile)
  outputDir = path.expand(outputDir)

  # parse PGF file to create PM2G.txt G2PM.txt PMids.txt PSids.txt BGids.txt BGcats.txt PMcats.txt
  res <- .C("genestructParser", as.character(pgfFile),as.integer(ignore_probeset_ids),as.integer(length(ignore_probeset_ids)),as.character(outputDir), as.integer(0))
  if(res[[5]] != 0) stop("Aborting.")

}
